<mat-toolbar class="dialog-header">
  <div class="dialog-title">
    <h2 *ngIf="!isEditMode">Create New License Profile</h2>
    <h2 *ngIf="isEditMode">Modify New License Profile</h2>
    <span class="version">v0.0.13</span>
  </div>
  <button
    type="button"
    mat-icon-button
    [mat-dialog-close]="true"
    class="close"
    tabindex="-1"
  >
    <mat-icon aria-hidden="false" aria-label="Close icon">close</mat-icon>
  </button>
</mat-toolbar>
<mat-dialog-content *ngIf="form"
  ><form [formGroup]="form" class="form-container">
    <div class="login-form">
      <mat-label class="asterix--after">License Keyword/Identifier</mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="keyword" />
      </mat-form-field>

      <mat-label class="asterix--after">License Name </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="licenseName" />
      </mat-form-field>

      <mat-label>Introduction </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="introduction" />
      </mat-form-field>

      <mat-label>Software/Artifact Type </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="softwareArtifact" />
      </mat-form-field>

      <mat-label>Company Name </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="companyName" />
      </mat-form-field>

      <span class="legend">Copyright</span>

      <mat-label class="asterix--after">Year </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="year" />
      </mat-form-field>
      <mat-label class="asterix--after">Company </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="company" />
      </mat-form-field>
      <mat-label class="asterix--after">Suffix </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="suffix" />
      </mat-form-field>

      <span class="legend">Contact</span>

      <mat-label class="asterix--after">Name </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="contactName" />
      </mat-form-field>
      <mat-label class="asterix--after">URL </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="url" />
      </mat-form-field>
      <mat-label class="asterix--after">Email </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="email" />
      </mat-form-field>

      <mat-label>Additional Information </mat-label>

      <mat-form-field class="full-width">
        <input matInput formControlName="additionalInformation" />
      </mat-form-field>
    </div></form
></mat-dialog-content>
<mat-toolbar class="form-footer">
  <button class="cancel-button" mat-dialog-close mat-raised-button>
    Cancel
  </button>
  <button
    [disabled]="!enableSubmit"
    color="primary"
    mat-raised-button
    (click)="submit()"
  >
    Save
  </button>
</mat-toolbar>
